/*
	Copyright (C) MOXA Inc. All rights reserved.

	This software is distributed under the terms of the
	MOXA License.  See the file COPYING-MOXA for details.
*/
#pragma once
#include <iostream>
#include <string>
using namespace std;

#ifdef __cplusplus    // If used by C++ code, 
extern "C" {          // we need to export the C interface
#endif
	enum RELAY_STATUS
	{
		RELAY_ON = 1,
		RELAY_OFF = 0,
		LIB_INITIALIZE_FAIL = -1,
		PORT_OUTOF_INDEX = -2,
		SET_STATUS_ERR = -3
	};

	HMODULE GetCurrentModule();
	HANDLE mxrelay_open();
	void mxrelay_close(HANDLE fd);
	int mxrelay_get_output_signal(HANDLE fd, int port_no);
	int mxrelay_set_output_signal_high(HANDLE fd, int port);
	int mxrelay_set_output_signal_low(HANDLE fd, int port);
	
	int InitMXRELAY(void);
	int GetRelayData(int port);
	int SetRelayData(int port, int status);

#ifdef __cplusplus    // If used by C++ code, 
}
#endif
